summaryrefslogtreecommitdiff
path: root/bin/locmaint
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2020-02-23 23:29:09 -0700
committerSean Whitton <spwhitton@spwhitton.name>2020-02-23 23:29:09 -0700
commitd237dc0ec18d886855a4427d2113e6fbbe27d106 (patch)
treef71ce9489ec1780656e6c1e717c0f12f50a617fd /bin/locmaint
parent54167d8823c6c5665246adab314c06f1ee25b2b5 (diff)
downloaddotfiles-d237dc0ec18d886855a4427d2113e6fbbe27d106.tar.gz
don't hard fail if didn't manage to eject
Diffstat (limited to 'bin/locmaint')
-rwxr-xr-xbin/locmaint5
1 files changed, 4 insertions, 1 deletions
diff --git a/bin/locmaint b/bin/locmaint
index 6976d21f..f837d62d 100755
--- a/bin/locmaint
+++ b/bin/locmaint
@@ -167,7 +167,10 @@ sub main {
do_coldbkup($coldbkup_root);
script_status("ejecting $coldbkup_root");
system "gio", "mount", "--eject", $coldbkup_root;
- die "failed to eject $coldbkup_root!" if $?;
+ if ($?) {
+ say_spaced_bullet("failed to eject $coldbkup_root!");
+ get_ack();
+ }
}
do_workstation_duplicity() if $do_workstation_duplicity;
do_sysmaint() if $do_sysmaint;